# 系统介绍
PaddleDTX，是一个基于**去中心化存储**的专注于**分布式机器学习**技术的解决方案，攻克海量隐私数据的安全存储问题，并且实现多方数据的安全交换，助其突破数据孤岛，共同建模，联合发挥数据的最大价值。

## 主要特征
PaddleDTX的主要特征如下:

- 支持多个学习过程**并行**运行的**多方安全计算**框架，集成多种横向联邦学习和纵向联邦学习算法
- **安全存储**高敏感数据，防止隐私泄漏，支持故障容错，抵御存储作弊
- 去中心化管理存储节点，支持**无上限**数据纳管
- 保证多方数据联合建模的**全链路可信**

## 架构概览
PaddleDTX由多方安全计算网络、去中心化存储网络、区块链网络构建而成。

<img src='../../_static/architecture.png' width = "80%" height = "80%" align="middle"/>

### 1.1 多方安全计算网络
有预测需求的一方为计算需求节点。可获取样本数据进行模型训练和预测的一方为任务执行节点，多个任务执行节点组成一个SMPC（多方安全计算）网络。计算需求节点将任务发布到区块链网络，任务执行节点确认后执行任务。数据持有节点对任务执行节点的计算数据做信任背书。

SMPC是一个支持多个学习过程并行运行的框架，会陆续集成更多纵向联邦学习、横向联邦学习算法。

### 1.2 去中心化存储网络
数据持有节点将自己的隐私数据进行加密、切分、副本复制后分发到存储节点，存储节点通过应答数据持有节点的挑战证明自己持有数据分片。通过这些机制，实现了在不泄漏隐私的前提下充分且安全地利用存储资源。

训练样本和预测数据集往往是归属于不同机构的隐私数据。这些机构可以作为数据持有节点加入到去中心化存储网络中，通过多方安全计算网络发挥数据的最大价值。

### 1.3 区块链网络
训练任务和预测任务通过区块链网络广播到任务执行节点，后者继而执行训练任务和预测任务。数据持有节点和存储节点在副本保持证明、健康状态监控过程中，通过区块链网络实现信息交换。

目前，PaddleDTX底层采用的区块链框架是XuperChain。

<br>
